package ngc.typetest;

import java.awt.event.*;

/** This class handles the menu events for the application
 */
public class ApplicationAction implements ActionListener {
	protected TypingTest typingTest=null;
	public ApplicationAction(TypingTest tt) {typingTest=tt;}
	public void actionPerformed(ActionEvent evt) {
		String cmd=evt.getActionCommand();
		if (cmd.equals("Open")) {
			typingTest.fileOpen();
		}
		else if (cmd.equals("Restart"))
			typingTest.restart();
		else if (cmd.equals("5 min"))
			typingTest.setTime(300);
		else if (cmd.equals("10 min"))
			typingTest.setTime(600);
		else if (cmd.equals("15 min"))
			typingTest.setTime(900);
		else if (cmd.equals("About"))
			typingTest.showAboutDialog();
		else if (cmd.equals("How to"))
			typingTest.showHowtoDialog();
		else if (cmd.equals("Exit")) 
			System.exit(0);
		else {
			System.out.println("Unknown command: ["+cmd+"]");
		}
	}
}